# Class EndpointCaller

## Index

### Methods

- call
- callUsingAjaxJsonP
- callUsingXDomainRequest
- callUsingXMLHttpRequest

### Properties

- useJsonp

### Constructors

- constructor

## Methods

### call

- call<T>(params: IEndpointCallParameters): Promise<ISuccessResponse<T>>

- - Defined in rest/EndpointCaller.ts :242

  #### Type parameters

  - #### T

  #### Parameters

  - ##### params: IEndpointCallParameters

  #### Returns Promise<ISuccessResponse<T>>

  A promise of the given type

### callUsingAjaxJsonP

- callUsingAjaxJsonP<T>(requestInfo: IRequestInfo<T>): Promise<ISuccessResponse<T>>

- - Defined in rest/EndpointCaller.ts :427

  #### Type parameters

  - #### T

  #### Parameters

  - ##### requestInfo: IRequestInfo<T>

  #### Returns Promise<ISuccessResponse<T>>

### callUsingXDomainRequest

- callUsingXDomainRequest<T>(requestInfo: IRequestInfo<T>): Promise<ISuccessResponse<T>>

- - Defined in rest/EndpointCaller.ts :380

  #### Type parameters

  - #### T

  #### Parameters

  - ##### requestInfo: IRequestInfo<T>

  #### Returns Promise<ISuccessResponse<T>>

### callUsingXMLHttpRequest

- callUsingXMLHttpRequest<T>(requestInfo: IRequestInfo<T>, responseType?: string): Promise<ISuccessResponse<T>>

- - Defined in rest/EndpointCaller.ts :286

  #### Type parameters

  - #### T

  #### Parameters

  - ##### requestInfo: IRequestInfo<T>

  - ##### Default value responseType: string = "text"

  #### Returns Promise<ISuccessResponse<T>>

## Properties

### useJsonp

useJsonp: boolean

- Defined in rest/EndpointCaller.ts :203

## Constructors

### constructor

- new EndpointCaller(options?: IEndpointCallerOptions): EndpointCaller

- - Defined in rest/EndpointCaller.ts :205

  #### Parameters

  - ##### Default value options: IEndpointCallerOptions = {}

  #### Returns EndpointCaller

### Hierarchy

- EndpointCaller

### Implements

- IEndpointCaller